// ttoy.pov
//
// by Neil Clark
// April 1994
//
// From: My Private Collection
//
// Tinker Toys
//

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "ttoy.inc"

camera {
 //location 	<0, 0.1, -3> //closeup at the end
 //location   <0, 0.75, -6.55>
 location   <0, -0.7, -9>
 direction	<0, 0, 1.5>
 up 				<0, 1, 0>
 look_at    <0, 0, -2>
 right			<1.3333, 0, 0 >
}

light_source { <10, 20, -15> color White }
light_source {
		<0, 50, -50> color White
		area_light <7, 0, 0>, <0, 8, 0>, 3, 3
		adaptive 0
		jitter
		spotlight
		point_at <0, 0, 0>
		tightness 0
		radius 0
		falloff 15
}

object
 {
	plane { <0.0, 1.0, 0.0>, -2.0 }
	texture { pigment { color White }
		finish
		 {
			ambient 0.8
			diffuse 0.7
			reflection 0.2
		 }
	 }
 }

object  {  Yellow_Ttoy rotate <0,90,0> translate <0, -1.4, -2.2> }
object  {  Blue_Ttoy rotate <0,90,0> translate <0.5,-1.4,-1.3> }
object  {  Red_Ttoy rotate <0,90,0> translate <-0.5,-1.4,0.8> }
object  {  Green_Ttoy rotate <0,90,0> translate <-1,-1.4,5> }

object  {  Flat_Wheel rotate <0,-55,0> translate <1.4,-0.1,-1> }
object  {  Blue_Ttoy rotate <0,-55,0> translate <1.4,-0.1,-1> }

object  {  Flat_Wheel rotate <0,55,0> translate <-0.8, -0.6,-2> }
object  {  Yellow_Ttoy rotate <0,55,0> translate <-0.8, -0.6,-2> }
object  {  Orange_Bushing translate <3, -0.6, -1.83> rotate <0,55,0> }

object  {  Orange_Connector translate <2.5, -1.75, -1.2> rotate <0,40,0> }
object  {  Orange_Connector rotate <0,0,90> translate <2.5, -1.2, -1> }

object  {  Round_Wheel rotate <0,10,0> translate <-3, -1.2, 1> }


